PamCut: ChargeHistosAction Class Reference

# ChargeHistosAction Class Reference

An action that fills some charge histograms. More...

`#include <ChargeHistosAction.h>`

Inheritance diagram for ChargeHistosAction:

List of all members.

## Public Member Functions
| ChargeHistosAction (const char *actionName, TString outFileName)
| Constructor.
| ~ChargeHistosAction ()
| Destructor.
void | OnGood (PamLevel2 *event)
| The histogram filling method.
void | Finalize ()
| Saves the histograms and closes the file.
## Private Attributes
ToFNuclei * | _tofNuclei
TH1F | _chargeS11
TH1F | _chargeS12
TH1F | _chargeS21
TH1F | _chargeS22
TH1F | _chargeS31
TH1F | _chargeS32
TH2F | _chCorrS11S12
TH2F | _chCorrS11S21
TH2F | _chCorrS11S22
TH2F | _chCorrS11S31
TH2F | _chCorrS11S32
TH2F | _chCorrS12S21
TH2F | _chCorrS12S22
TH2F | _chCorrS12S31
TH2F | _chCorrS12S32
TH2F | _chCorrS21S22
TH2F | _chCorrS21S31
TH2F | _chCorrS21S32
TH2F | _chCorrS22S31
TH2F | _chCorrS22S32
TH2F | _chCorrS31S32
CaloNuclei * | _caloNuclei
TH1F | _chargeCalo
TrkNuclei * | _trkNuclei
TH1F | _chargeTrk
TString | _outFileName

## Detailed Description

An action that fills some charge histograms.

This class uses ToFNuclei, TrkNuclei and CaloNuclei to compute the charge of the particle and fills various histograms. Note that if the Nuclei routines are not available in the environment it is possible to exclude the corresponding code by passing the appropriate flags to the compiler (see the EXCLUDEFLAGS variable in the PamCut's makefile). Currently, filled histograms are:

- charge from TrkNuclei (Siegen method);
- charge from CaloNuclei (first plane dE/dx Vs. beta);
- charge from each ToF layer (dE/dx Vs. beta);
- charge correlation for each pair of ToF layers.

Definition at line 43 of file ChargeHistosAction.h.

## Constructor & Destructor Documentation

ChargeHistosAction::ChargeHistosAction | ( | const char * | actionName,
|  | TString | outFileName |
| ) |  |  |

Constructor.

Parameters:

  | actionName | The action's name.
  | outFileName | The output ROOT file name.

Definition at line 12 of file ChargeHistosAction.cpp.

ChargeHistosAction::~ChargeHistosAction | ( |  | ) |

Destructor.

Definition at line 50 of file ChargeHistosAction.cpp.

References _caloNuclei, _tofNuclei, and _trkNuclei.

## Member Function Documentation

void ChargeHistosAction::Finalize | ( |  | ) | `[virtual]`

Saves the histograms and closes the file.

Implements CollectionAction.

Definition at line 116 of file ChargeHistosAction.cpp.

References _chargeCalo, _chargeS11, _chargeS12, _chargeS21, _chargeS22, _chargeS31, _chargeS32, _chargeTrk, _chCorrS11S12, _chCorrS11S21, _chCorrS11S22, _chCorrS11S31, _chCorrS11S32, _chCorrS12S21, _chCorrS12S22, _chCorrS12S31, _chCorrS12S32, _chCorrS21S22, _chCorrS21S31, _chCorrS21S32, _chCorrS22S31, _chCorrS22S32, _chCorrS31S32, and _outFileName.

void ChargeHistosAction::OnGood | ( | PamLevel2 * | event | ) | `[virtual]`

The histogram filling method.

This routine fills the charge histograms for the selected event.

Parameters:

  | event | The selected event.

Implements CollectionAction.

Definition at line 69 of file ChargeHistosAction.cpp.

References _caloNuclei, _chargeCalo, _chargeS11, _chargeS12, _chargeS21, _chargeS22, _chargeS31, _chargeS32, _chargeTrk, _chCorrS11S12, _chCorrS11S21, _chCorrS11S22, _chCorrS11S31, _chCorrS11S32, _chCorrS12S21, _chCorrS12S22, _chCorrS12S31, _chCorrS12S32, _chCorrS21S22, _chCorrS21S31, _chCorrS21S32, _chCorrS22S31, _chCorrS22S32, _chCorrS31S32, _tofNuclei, and _trkNuclei.

## Member Data Documentation

CaloNuclei* ChargeHistosAction::_caloNuclei`[private]`

Definition at line 96 of file ChargeHistosAction.h.

Referenced by OnGood(), and ~ChargeHistosAction().

TH1F ChargeHistosAction::_chargeCalo`[private]`

Definition at line 97 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH1F ChargeHistosAction::_chargeS11`[private]`

Definition at line 71 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH1F ChargeHistosAction::_chargeS12`[private]`

Definition at line 72 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH1F ChargeHistosAction::_chargeS21`[private]`

Definition at line 73 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH1F ChargeHistosAction::_chargeS22`[private]`

Definition at line 74 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH1F ChargeHistosAction::_chargeS31`[private]`

Definition at line 75 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH1F ChargeHistosAction::_chargeS32`[private]`

Definition at line 76 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH1F ChargeHistosAction::_chargeTrk`[private]`

Definition at line 102 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH2F ChargeHistosAction::_chCorrS11S12`[private]`

Definition at line 78 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH2F ChargeHistosAction::_chCorrS11S21`[private]`

Definition at line 79 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH2F ChargeHistosAction::_chCorrS11S22`[private]`

Definition at line 80 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH2F ChargeHistosAction::_chCorrS11S31`[private]`

Definition at line 81 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH2F ChargeHistosAction::_chCorrS11S32`[private]`

Definition at line 82 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH2F ChargeHistosAction::_chCorrS12S21`[private]`

Definition at line 83 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH2F ChargeHistosAction::_chCorrS12S22`[private]`

Definition at line 84 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH2F ChargeHistosAction::_chCorrS12S31`[private]`

Definition at line 85 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH2F ChargeHistosAction::_chCorrS12S32`[private]`

Definition at line 86 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH2F ChargeHistosAction::_chCorrS21S22`[private]`

Definition at line 87 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH2F ChargeHistosAction::_chCorrS21S31`[private]`

Definition at line 88 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH2F ChargeHistosAction::_chCorrS21S32`[private]`

Definition at line 89 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH2F ChargeHistosAction::_chCorrS22S31`[private]`

Definition at line 90 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH2F ChargeHistosAction::_chCorrS22S32`[private]`

Definition at line 91 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TH2F ChargeHistosAction::_chCorrS31S32`[private]`

Definition at line 92 of file ChargeHistosAction.h.

Referenced by Finalize(), and OnGood().

TString ChargeHistosAction::_outFileName`[private]`

Definition at line 105 of file ChargeHistosAction.h.

Referenced by Finalize().

ToFNuclei* ChargeHistosAction::_tofNuclei`[private]`

Definition at line 69 of file ChargeHistosAction.h.

Referenced by OnGood(), and ~ChargeHistosAction().

TrkNuclei* ChargeHistosAction::_trkNuclei`[private]`

Definition at line 101 of file ChargeHistosAction.h.

Referenced by OnGood(), and ~ChargeHistosAction().

The documentation for this class was generated from the following files:

- CollectionActions/ChargeHistosAction/ChargeHistosAction.h
- CollectionActions/ChargeHistosAction/ChargeHistosAction.cpp